Skip to main content
GET
https://{tenantDomain}/api/v2
/
keys
/
custom-signing
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Keys.CustomSigning.Get(
        context.TODO(),
    )
}
{
  "keys": [
    {
      "kty": "EC",
      "kid": "<string>",
      "use": "sig",
      "key_ops": [
        "verify"
      ],
      "alg": "RS256",
      "n": "<string>",
      "e": "<string>",
      "crv": "P-256",
      "x": "<string>",
      "y": "<string>",
      "x5u": "<string>",
      "x5c": [
        "<string>"
      ],
      "x5t": "<string>",
      "x5t#S256": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Custom signing keys were successfully retrieved.

JWKS representing an array of custom public signing keys.

keys
object[]

An array of custom public signing keys.